# Devices & OS Versions

## Get available devices

> Get the list of available devices and operating systems.

```json
{"openapi":"3.0.3","info":{"title":"Appetize V2 API Reference","version":"2"},"servers":[{"url":"https://api.appetize.io"}],"security":[],"paths":{"/v2/service/devices":{"get":{"tags":["Service"],"summary":"Get available devices","description":"Get the list of available devices and operating systems.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"ID of the device (ie. for device selection in url params)."},"name":{"type":"string","description":"Name of the device"},"platform":{"type":"string","enum":["ios","android"],"description":"OS that the device runs."},"osVersions":{"type":"array","items":{"type":"string"},"description":"Array of os versions."}}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appetize.io/rest-api/devices-and-os-versions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
